this.name			= "alien_systems";
this.author			= "Redspear";
this.copyright		= "2022 Redspear";
this.licence		= "CC BY-NC-SA 4.0"; 
this.description	= "System variance by inhabitant type";
this.version		= "0.1";

"use strict";

this.shipEnteredStationAegis = function(station) {
    if (station.isMainStation) {
        this.$startTimer();
    }
}

this.shipLaunchedFromStation = function(station) {
    if (station.isMainStation) {
        this.$startTimer();
    }
}

this.shipExitedStationAegis = function(station) {
    if (station.isMainStation) {
        this.$stopTimer();
    }
}

this.shipDockedWithStation = function(station) {
    if (station.isMainStation) {
        this.$stopTimer();
    }
}

this.shipDied = function() {
    this.$stopTimer();
}

this.$startTimer = function $startTimer () {
    this.$stopTimer(); // safety check
    this._myTimer = new Timer(this, this.$sendMessageTimer, 60, 120); // first and subsequent
}

this.$stopTimer = function $stopTimer () {
    if (this._myTimer && this._myTimer.isRunning) this._myTimer.stop();
}

this.$sendMessageTimer = function $sendMessageTimer () {
    var p = player.ship;
    var stn = system.mainStation;
    var dist = p.position.distanceTo(stn.position);
    if (dist < stn.scannerRange) { // only send a message if the player is within scanner range
        if (p.alertCondition != 3) { // only send if the player is not at condition red
            this.$sendStationMessage();
        }
    }
}

this.$sendStationMessage = function $sendStationMessage () {
    var birds = /bird/i;
    var felines = /feline/i;
    var frogs = /frog/i;
    var humanoids = /humanoid/i;
    var insects = /insect/i;
    var lizards = /lizard/i;
    var lobsters = /lobster/i;
    var rodents = /rodent/i;
    var colonials = /colonial/i;
	
    if(system.info.inhabitants.match(birds) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[bird-messages]");
    }
    if(system.info.inhabitants.match(felines) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[feline-messages]");
    }
    if(system.info.inhabitants.match(frogs) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[frog-messages]");
    }
    if(system.info.inhabitants.match(humanoids) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[humanoid-messages]");
    }
    if(system.info.inhabitants.match(insects) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[insect-messages]");
    }
    if(system.info.inhabitants.match(lizards) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[lizard-messages]");
    }
    if(system.info.inhabitants.match(lobsters) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[lobster-messages]");
    }
    if(system.info.inhabitants.match(rodents) && system.techLevel < 12)
    {
        system.mainStation.commsMessage("[rodent-messages]");
    }		
}